
GammaLib - Change request #1015

Rename `Plaw` to `PowerLaw`

12/03/2013 10:49 PM - Deil Christoph

Status: Rejected Start date: 12/03/2013

Priority: Normal Due date:  

Assigned To: Knödlseder Jürgen % Done: 0%

Category:  Estimated time: 0.00 hour

Target version: 00-08-00   

Description

I propose to rename the following classes:

`GModelSpectralPlaw` -> `GModelSpectralPowerLaw`

`GModelSpectralPlaw2` -> `GModelSpectralPowerLaw2`

`GModelSpectralExpPlaw` -> `GModelSpectralExponentialCutoffPowerLaw`

The first time I saw it I didn't know what a `Plaw` was and I think being readable is a bigger advantage than saving some characters

to type.

History

#1 - 12/03/2013 11:20 PM - Knödlseder Jürgen

Have you see how long the class names become after renaming. I think we still should allow for some abbreviation.

#2 - 01/08/2014 12:16 PM - Deil Christoph

- Target version set to 00-08-00

My preference (most liked on top):

GModelSpectralPowerLaw

GModelSpectralPL (shorter, and PL makes it clear it's an abbreviation)

GModelSpectralPlaw looks like a typo to me

Feel free to reject, or let me know if you want me to make a change.

#3 - 01/08/2014 06:04 PM - Knödlseder Jürgen

- Status changed from New to Rejected

Let's keep it as is ...
